# FoundationClasses
TKernel
TColStd

# TColStd_HArray1OfExtendedString Class Reference

`#include <TColStd_HArray1OfExtendedString.hxx>`

Inheritance diagram for TColStd_HArray1OfExtendedString:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HArray1OfExtendedString (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColStd_HArray1OfExtendedString (const Standard_Integer Low, const Standard_Integer Up, const TCollection_ExtendedString &V)
Standard_EXPORT void | Init (const TCollection_ExtendedString &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TCollection_ExtendedString &Value)
const TCollection_ExtendedString & | Value (const Standard_Integer Index) const
TCollection_ExtendedString & | ChangeValue (const Standard_Integer Index)
const TColStd_Array1OfExtendedString & | Array1 () const
TColStd_Array1OfExtendedString & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_Array1OfExtendedString | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HArray1OfExtendedString::TColStd_HArray1OfExtendedString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColStd_HArray1OfExtendedString::TColStd_HArray1OfExtendedString | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const TCollection_ExtendedString & | V
| ) |

## Member Function Documentation

const TColStd_Array1OfExtendedString& TColStd_HArray1OfExtendedString::Array1 | ( |  | ) | const

TColStd_Array1OfExtendedString& TColStd_HArray1OfExtendedString::ChangeArray1 | ( |  | ) |

TCollection_ExtendedString& TColStd_HArray1OfExtendedString::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TColStd_HArray1OfExtendedString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HArray1OfExtendedString::Init | ( | const TCollection_ExtendedString & | V | ) |

Standard_Integer TColStd_HArray1OfExtendedString::Length | ( |  | ) | const

Standard_Integer TColStd_HArray1OfExtendedString::Lower | ( |  | ) | const

void TColStd_HArray1OfExtendedString::SetValue | ( | const Standard_Integer | Index,
|  | const TCollection_ExtendedString & | Value
| ) |

Standard_Integer TColStd_HArray1OfExtendedString::Upper | ( |  | ) | const

const TCollection_ExtendedString& TColStd_HArray1OfExtendedString::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TColStd_Array1OfExtendedString TColStd_HArray1OfExtendedString::myArray `[private]`

The documentation for this class was generated from the following file:

- TColStd_HArray1OfExtendedString.hxx